Bug 848569 - Error 24: Attempt to access block outside partition when booting 2.6.32-279.5.1.el6.x86_64
Error 24: Attempt to access block outside partition when booting 2.6.32-279.5...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.3
x86_64 Linux
unspecified Severity urgent
: rc
: ---
Assigned To: Red Hat Kernel Manager
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-15 17:33 EDT by Alexander Lindqvist
Modified: 2012-11-22 10:32 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-22 10:32:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Lindqvist 2012-08-15 17:33:34 EDT
Description of problem:
After upgrading from 6.2 and kernel 2.6.32-220.23.1.el6.x86_64 to 6.3 and kernel 2.6.32-279.5.1.el6.x86_64 grub gives "Error 24: Attempt to access block outside partition"

This is a KVM guest with an ext4 filesystem.
Booting kernel 2.6.32-220.23.1.el6.x86_64 just fine.
Removing kernel 2.6.32-279.5.1.el6.x86_64 and reinstalling it does not work.
Filesystem has been checked and no problem was detected.

Version-Release number of selected component (if applicable):
2.6.32-279.5.1.el6.x86_64

How reproducible:
Install kernel 2.6.32-279.5.1.el6.x86_64 and try to boot it.

Steps to Reproduce:
1.
2.
3.
  
Actual results:
Boot halts with Error 24: Attempt to access block outside partition after Grub menu.

Expected results:
The kernel should boot.

Additional info:

# df -h
Filesystem            Size  Used Avail Use% Mounted on
/dev/vda1             1.5T   25G  1.4T   2% /
tmpfs                 1.5G     0  1.5G   0% /dev/shm
Comment 2 Alexander Lindqvist 2012-09-27 14:56:57 EDT
Googling around showed a few people on other distros solving this by installing a newer kernel so I decided to test that with the next kernel release. 

And they were right. Updated to kernel 2.6.32-279.9.1.el6.x86_64 today and it booted just fine. 

This bug can be closed.
Comment 3 Jes Sorensen 2012-11-22 10:32:50 EST
Closing per comment #2

Note You need to log in before you can comment on or make changes to this bug.